<template>
  <rui-modal v-if="showModal"
             :large="large"
             @close="showModal = false"
             @accept="showModal = false">
    <div class="_container">
      <p v-for="i in lines" :key="i">
        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Aspernatur, consequatur cum cumque debitis dignissimos dolore fugiat hic ipsa laborum mollitia neque officiis quaerat quisquam quos reiciendis, ut voluptas voluptatibus voluptatum.
      </p>
      <rui-button caption="Add content" class="-mvl" @click="lines+=5" />
    </div>
  </rui-modal>

  <rui-button caption="Click me" @click="showModal = true" />
  <label>
    <input v-model="large" type="checkbox"> Large modal
  </label>
</template>

<script>
export default {
  data () {
    return {
      showModal: false,
      lines: 5,
      large: false,
    }
  },
}
</script>
